<?php

/**
 * mod_smenu_banner
 *
 * @version 2.0
 * @author Creative Pulse
 * @copyright Creative Pulse 2008
 * @license http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 * @link http://www.creativepulse.eu
 */

defined('_JEXEC') or die('Restricted access');


if (!$mod->loadit)
	return;


function smenu_image_info($image) {
	$image = trim($image);
	if ($image == '' || strpos($image, '://') !== false)
		return false;

	$image = str_replace('\\', '/', $image);
	if ($image{0} != '/')
		$image = '/' . $image;

	$image_path = JPATH_SITE . $image;
	if (!file_exists($image_path))
		return false;

	list($width, $height, $type, $attr) = getimagesize($image_path);

	$image_url = JURI::base() . substr($image, 1);

	return array(
		'url' => $image_url,
		'width' => $width,
		'height' => $height,
	);
}

if ($mod->instance_id() == 1)
	echo '
<script type="text/javascript" src="modules/mod_smenu_banner/smenu.js"></script>
<script type="text/javascript">
// <![CDATA[

function smenu_banner_init() {
	for (var k in document["mod_smenu_banner_conf"])
		if (document["mod_smenu_banner_conf"].hasOwnProperty(k)) {
			var conf = document["mod_smenu_banner_conf"][k];

			document[conf.iname] = new Smenu(conf.iname, conf.host_id);
			document[conf.iname].init(conf.vars);

			for (var i = 0, len = conf.items.length; i < len; i++)
				document[conf.iname].add_item(conf.items[i]);

			document[conf.iname].runit();
		}
}

if (window.addEventListener)
	window.addEventListener("load", smenu_banner_init, false);
else if (window.attachEvent)
	window.attachEvent("onload", smenu_banner_init);

// ]]>
</script>
';

echo '
<div id="mod_smenu_banner_' . $mod->instance_id() . '"' . $mod->div_str . '></div>

<script type="text/javascript">
// <![CDATA[
if (!document["mod_smenu_banner_conf"])
	document["mod_smenu_banner_conf"] = { }

document["mod_smenu_banner_conf"]["inst_' . $mod->instance_id() . '"] = {
	iname: "smenu_banner_' . $mod->instance_id() . '",
	host_id: "mod_smenu_banner_' . $mod->instance_id() . '",
	vars: {
		interval: ' . $mod->interval . ',
		speed: ' . $mod->speed . ',
		minstep: ' . $mod->minstep . ',
		maxstep: ' . $mod->maxstep . ',
		hor: ' . $mod->hor . ',
		align: ' . $mod->align . ',
		movtype: "' . $mod->movtype . '",
		anitype: "' . $mod->anitype . '",
		min_size: ' . $mod->min_size . ',
		large_size: ' . $mod->large_size . ',
' . $mod->def_classes . '
		sel_permanent: ' . $mod->sel_permanent . ',
		def_item: ' . $mod->def_item . '
	},
	items: [';

if ($mod->img_start != '') {
	$image = smenu_image_info($mod->img_start);
	if ($image !== false)
		echo '
		{html: "' . $mod->json_esc('<img src="' . $image['url'] . '"' . ($mod->css_start == '' ? '' : ' class="' . $mod->css_start . '"') . ' />') . '", size: ' . $image['width'] . '},';
}

$image_splitter = '';
if ($mod->img_split != '') {
	$image = smenu_image_info($mod->img_split);
	if ($image !== false)
		$image_splitter = '
		{html: "' . $mod->json_esc('<img src="' . $image['url'] . '"' . ($mod->css_split == '' ? '' : ' class="' . $mod->css_split . '"') . ' />') . '", size: ' . $image['width'] . '},';
}

$items_count = count($mod->items);
foreach ($mod->items as $idx => $item) {
	if ($idx > 0 && $image_splitter != '')
		echo $image_splitter;

	$html = trim($item['format']) != '' ? $item['format'] : $mod->format;
	$html = preg_replace('/{imgurl}/i', $item['imgurl'], $html);
	$html = preg_replace('/{img}/i', '<img src="' . $item['imgurl'] . '" alt="' . $item['title'] . '" title="' . $item['title'] . '" border="0" />', $html);
	$html = preg_replace('/{linkurl}/i', $item['linkurl'], $html);
	$html = preg_replace('/{descr}/i', $item['descr'], $html);
	$html = preg_replace('/{title}/i', $item['title'], $html);

	$elements = array('html: "' . $mod->json_esc($html) . '"');

	if ($mod->png_gif_substitution) {
		$html = trim($item['format']) != '' ? $item['format'] : $mod->format;
		$html = preg_replace('/{imgurl}/i', $item['imgurl_ie6'], $html);
		$html = preg_replace('/{img}/i', '<img src="' . $item['imgurl_ie6'] . '" alt="' . $item['title'] . '" title="' . $item['title'] . '" border="0" />', $html);
		$html = preg_replace('/{linkurl}/i', $item['linkurl'], $html);
		$html = preg_replace('/{descr}/i', $item['descr'], $html);
		$html = preg_replace('/{title}/i', $item['title'], $html);

		$elements[] = 'html_ie6: "' . $mod->json_esc($html) . '"';
	}

	if (!empty($outer_class_norm_list[$idx]))
		$elements[] = 'outer_class_norm: "' . trim($outer_class_norm_list[$idx]) . '"';

	if (!empty($outer_class_sel_list[$idx]))
		$elements[] = 'outer_class_sel: "' . trim($outer_class_sel_list[$idx]) . '"';

	if (!empty($inner_class_norm_list[$idx]))
		$elements[] = 'inner_class_norm: "' . trim($inner_class_norm_list[$idx]) . '"';

	if (!empty($inner_class_sel_list[$idx]))
		$elements[] = 'inner_class_sel: "' . trim($inner_class_sel_list[$idx]) . '"';

	echo '
		{' . implode(', ', $elements) . '}' . ($idx == $items_count - 1 && $mod->img_end == '' ? '' : ',');
}

if ($mod->img_end != '') {
	$image = smenu_image_info($mod->img_end);
	if ($image !== false)
		echo '
		{html: "' . $mod->json_esc('<img src="' . $image['url'] . '"' . ($mod->css_end == '' ? '' : ' class="' . $mod->css_end . '"') . ' />') . '", size: ' . $image['width'] . '}';
}

echo '
	]
}
// ]]>
</script>
';

?>